local config = EventHorizon.config

function EventHorizon:InitializeClass()
	self.config.gcdSpellID = 1082

	-- Savage Roar (Cat)
	self:NewSpell({
		spellID = 52610,
		playerbuff = true,
		stance = 3,
	})
	-- Barkskin (Bear)
	self:NewSpell({
		spellID = 22812,
		playerbuff = true,
		cooldown = true,
		stance = 1,
	})
	-- Mangle (Bear)
	self:NewSpell({
		spellID = 33876,
		debuff = {33876, 33878, 46855}, -- Mangle - Cat, Mangle - Bear, Trauma
		unique = true,
		stance = 3,
		requiredTalent = {2,26},
	})
	-- Mangle (Bear)
	self:NewSpell({
		spellID = 33878,
		debuff = {33878, 33876, 46855}, -- Mangle - Bear, Mangle - Cat, Trauma
		cooldown = true,
		unique = true,
		stance = 1,
		requiredTalent = {2,26},
	})
	-- Rip (Cat)
	self:NewSpell({
		spellID = 1079,
		debuff = true,
		refreshable = true,
		dot = 2,
		stance = 3,
	})
	-- Rake (Cat)
	self:NewSpell({
		spellID = 1822,
		debuff = true,
		dot = 3,
		stance = 3,
	})
	-- Lacerate (Bear)
	self:NewSpell({
		spellID = 33745,
		debuff = true,
		stance = 1,
	})
	-- Enrage (Bear)
	self:NewSpell({
		spellID = 5229,
		playerbuff = true,
		cooldown = true,
		stance = 1,
	})
	-- Tiger's Fury (Cat, if specced)
	self:NewSpell({
		spellID = 5217,
		playerbuff = true,
		cooldown = true,
		stance = 3,
		requiredTalent = {2,25},
	})
	-- Berserk 
	self:NewSpell({
		spellID = 50334,
		playerbuff = true,
		cooldown = true,
		requiredTalent = {2,30},
	})
	-- Faerie Fire, if specced for Imp FF. Not tracking Feral FF.
	self:NewSpell({
		spellID = 770,
		debuff = true,
		unique = true,
		requiredTalent = {1,20},
	})

	-- Spawn Balance rotation bars, but only if you're in a spec to use them. 

	-- Eclipse (NOTE: Will NOT track which proc of Eclipse)
	self:NewSpell({
		spellID = 48517,
		playerbuff = true,
		internalcooldown = 30,
		requiredTalent = {1,23},
	})
	-- Moonfire
	self:NewSpell({
		spellID = 8921,
		debuff = true,
		dot = 3,
		refreshable = true,	-- Glyphed refreshes
		requiredTalent = {1,13},
	})
	-- Insect Swarm
	self:NewSpell({
		spellID = 24974,
		debuff = true,
		dot = 2,
		requiredTalent = {1,13},
	})
	-- Wrath
	self:NewSpell({
		spellID = 5176,
		cast = true,
		requiredTalent = {1,13},
	})
	-- Starfire
	self:NewSpell({
		spellID = 2912,
		cast = true,
		requiredTalent = {1,13},
	})
	-- Typhoon
	self:NewSpell({
		spellID = 53223,
		cooldown = true,
		requiredTalent = {1,24},
	})
	-- Omen of Clarity (all specs)
	self:NewSpell({
		spellID = 16870,
		playerbuff = true,
		refreshable = true,
		requiredTalent = {3,8},
	})
	return true
end
