local config = EventHorizon.config

function EventHorizon:InitializeClass()
	self.config.gcdSpellID = 1459 -- Arcane Intellect

	----------
	-- Fire --
	----------
	-- Living Bomb
	self:NewSpell({
		spellID = 44457,
		debuff = true,
		dot = 3,
		requiredTalent = {2,28},
	})
	-- Scorch
	self:NewSpell({
		spellID = 2948,
		cast = true,
		debuff = {22959, 12579}, -- Improved Scorch, Winter's Chill
		unique = true,
		minstacks = 5,
		requiredTalent = {2,11}, -- Imp. Scorch
	})
	-- FFB TODO Is it worth tracking the DoT? Does it make any difference for mages?
	self:NewSpell({
		spellID = 44614,
		cast = true,
		requiredTalent = {{3,2,0}, {3,8,3}}, -- no points in Imp Frostbolt, 3 points in Piercing Ice
		-- TODO FFB Glyph
		-- debuff = true,
		-- dot = 3,
	})
	-- Fireball
	self:NewSpell({
		spellID = 42833,
		cast = true,
		requiredTalent = {{3,2,0}, {3,8,0}, {2,18,5},}, -- no points in Imp Frostbolt, no points in Piercing Ice, but 5 points in Fire Power
		-- TODO no FFB Glyph
	})
	-- Pyroblast
	self:NewSpell({
		spellID = 12505,
		cast = true,
		playerbuff = 44448, -- Hot Streak
		requiredTalent = {2,26}, -- Hot Streak
		-- debuff = true,
		-- dot = 3,
	})

	------------
	-- Arcane --
	------------
	-- Arcane Blast
	self:NewSpell({
		spellID = 42897,
		cast = true,
		debuff = 36032, -- Arcane Blast debuff
		auraunit = 'player',
		minstacks = 3,
		requiredTalent = {1,30}, -- ABar
	})
	-- Arcane Barrage
	self:NewSpell({
		spellID = 44781,
		cast = true,
		cooldown = true,
		requiredTalent = {1,30},
	})
	-- Arcane Missiles
	self:NewSpell({
		spellID = 42846,
		channeled = true,
		numhits = 5,
		playerbuff = 44401, -- Missile Barrage
		requiredTalent = {1,27}, -- Missile Barrage
	})
	-----------
	-- Frost --
	-----------
	-- Frostbolt
	self:NewSpell({
		spellID = 38697,
		cast = true,
		debuff = {12579, 22959}, -- Winter's Chill, Improved Scorch
		unique = true,
		minstacks = 5,
		requiredTalent = {3,2,5}, -- Imp Frostbolt
	})
	-- Brain Freeze proc (Fireball! buff)
	self:NewSpell({
		spellID = 57761,
		playerbuff = true,
		requiredTalent = {3,24},--Brain Freeze
	})

	--[[ Blizzard
	self:NewSpell({
		spellID = 42940,
		channeled = true,
		numhits = 8,
	})--]]

	-- Long cooldowns:
	--[[ Icy Veins
	self:NewSpell({
		spellID = 12472,
		cast = true, 
		playerbuff = 12472, -- Icy Veins
		cooldown = true,
	})--]]
	--[[ Arcane Power
	self:NewSpell({
		spellID = 12042,
		cast = true, 
		playerbuff = 12042, -- Arcane Power
		cooldown = true,
		requiredTalent = {1,22},
	})--]]
	--[[ Mirror Image
	self:NewSpell({
		spellID = 55342,
		cast = true, 
		cooldown = true,
	})--]]
end

