local config = EventHorizon.config

function EventHorizon:InitializeClass()
	self.config.gcdSpellID = 1243 -- Power Word: Fortitude

	-- Shadow Word: Pain
	self:NewSpell({
		spellID = 10892,
		debuff = true,
		dot = 3,
		refreshable = true,
		requiredTalent = {3,19}, -- Shadowform
	})

	-- Vampiric Touch
	self:NewSpell({
		spellID = 48160,
		cast = true,
		debuff = true,
		dot = 3,
		stance = 1,
		requiredTalent = {3,24},
	})

	-- Mind Blast
	self:NewSpell({
		spellID = 8092,
		cast = true,
		cooldown = true,
		stance = 1,
		requiredTalent = {3,19}, -- Shadowform
	})

	-- Devouring Plague
	self:NewSpell({
		spellID = 25467,
		debuff = true,
		cooldown = true, -- Uncomment this line to track the cooldown as well.
		dot = 3,
		refreshable = true,
		stance = 1,
		requiredTalent = {3,19}, -- Shadowform
	})

	-- Shadow Word: Death
	self:NewSpell({
		spellID = 32379,
		cooldown = true,
		stance = 1,
		requiredTalent = {3,19}, -- Shadowform
	})

	-- Mind Flay
	self:NewSpell({
		spellID = 48156,
		channeled = true,
		numhits = 3,
		stance = 1,
		requiredTalent = {3,19}, -- Shadowform
	})

	--[[ Vampiric Embrace
	self:NewSpell({
		spellID = 15286,
		debuff = true,
		requiredTalent = {3,14},
	})--]]

	--[[ Shadow Weaving
	self:NewSpell({
		spellID = 15332,
		playerbuff = true,
		requiredTalent = {3,12},
	})--]]

	--[[ Renew (just for testing)
	self:NewSpell({
		spellID = 139,
		playerbuff = true,
		stance = 0,
	})--]]

	--[[ Sundial of the Exiled (just for testing)
	self:NewSpell({
		spellID = 60063,
		playerbuff = true,
		internalcooldown = 45,
	})--]]

	--[[ Power Word: Shield (just for testing)
	self:NewSpell({
		spellID = 25218,
		playerbuff = true,
		cooldown = true,
		stance = 1,
	})--]]

	return true
end

