local config = EventHorizon.config

function EventHorizon:InitializeClass()
	self.config.gcdSpellID = 57960 -- Water Shield
	
	local STORMSTRIKE = {2,21}
	local LAVA_LASH = {2,23}
	local LIGHTNING_MASTERY = {1,15}

	-- Lava Lash
	self:NewSpell{
		spellID = 60103,
		cooldown = true,
		requiredTalent = LAVA_LASH
	}

	-- Stormstrike
	self:NewSpell{
		spellID = 17364,
		cooldown = true,
		requiredTalent = STORMSTRIKE
	}

	-- Earth Shock
	self:NewSpell{
		spellID = 49231,
		cooldown = true,
		requiredTalent = {1,15,0}, -- Lightning Mastery *not* talented
	}

	-- Flame Shock
	self:NewSpell{
		spellID = 49233,
		debuff = true,
		dot = 3,
		cooldown = true,
		requiredTalent = LIGHTNING_MASTERY,
	}

	-- Lava Burst
	self:NewSpell{
		spellID = 60043,
		cast = true,
		cooldown = true,
		requiredTalent = LIGHTNING_MASTERY,
	}

	-- Chain Lightning
	self:NewSpell{
		spellID = 49271,
		cast = true,
		cooldown = true,
		requiredTalent = LIGHTNING_MASTERY,
	}

	-- Lightning Bolt
	self:NewSpell{
		spellID = 49238,
		cast = true,
		requiredTalent = LIGHTNING_MASTERY,
	}

	return true

end

